Subject: bug#30059: 25.3; Wrong value for comint-process-echoes will cause comint-send-input to hang

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Dec 2020 15:42:14 +0100

Allen Li <[email-masked]> writes:

> Whether it's a bug is arguable, and I would argue that that is beside
> the point.
>
> Regardless of whether it is a bug, changing the behavior as I suggested
> would improve the overall Emacs experience.  It should not be a
> particularly difficult change IIRC from reading the code.  Of course, I
> understand if making this change is not high priority.

I'm not opposed to making comint be more asynchronous even if
comint-process-echoes is set.  Could you propose a patch for this,
perhaps?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no